Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Series3VInfo

    java.lang.Object
      jet.report.xls.SeriesInfo
          jet.report.xls.Series2VInfo
              jet.report.xls.Series3VInfo

    public class Series3VInfo

extends Series2VInfo

The 3v series used for some chart type, such as the bubble chart.

Constructor Summary
`Series3VInfo()` Creates a blank 3v series info and then sets its parameters.
`Series3VInfo(int num, java.lang.String name, java.lang.String text, java.lang.String valueRef, java.lang.String valueRef1, java.lang.String valueRef2, SeriesPattern[] seriesPatterns)` Constructs a `Series3VInfo` object with these parameters:
`Series3VInfo(java.lang.String text, double[] values, double[] values1, double[] values2, SeriesPattern[] seriesPatterns)` Constructs a `Series3VInfo` object with these parameters:

Method Summary
`java.lang.String` | `getValueRef2()` Gets the bubbles values of the series.
`double[]` | `getValues2()` Gets the bubbles values of the series.
`void` | `setValueRef2(java.lang.String valueRef2)` Sets the bubble size value with the refer value format.
`void` | `setValues2(double[] values2)` Sets the bubble size value.

Methods inherited from class jet.report.xls.Series2VInfo
`getValueRef1, getValues1, setValueRef1, setValues1`

Methods inherited from class jet.report.xls.SeriesInfo
`getName, getNum, getSeriesPatterns, getText, getValueRef, getValues, setName, setNum, setSeriesPatterns, setText, setValueRef, setValues`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Series3VInfo

    public Series3VInfo()

  Creates a blank 3v series info and then sets its parameters.

### Series3VInfo

    public Series3VInfo(int num,
                        java.lang.String name,
                        java.lang.String text,
                        java.lang.String valueRef,
                        java.lang.String valueRef1,
                        java.lang.String valueRef2,
                        SeriesPattern[] seriesPatterns)

  Constructs a `Series3VInfo` object with these parameters:

  Parameters:
    `num` - number of the value in this series
    `name` - name of the series
    `text` - text of the series
    `valueRef` - x value of the series
    `valueRef1` - y value of the series
    `valueRef2` - bubbles value of the series

### Series3VInfo

    public Series3VInfo(java.lang.String text,
                        double[] values,
                        double[] values1,
                        double[] values2,
                        SeriesPattern[] seriesPatterns)

  Constructs a `Series3VInfo` object with these parameters:

  Parameters:
    `text` - text of the series
    `values` - x values of the series
    `values1` - y values of the series
    `values2` - bubbles values of the series
    `seriesPatterns` - series pattern list

Method Detail

### setValueRef2

    public void setValueRef2(java.lang.String valueRef2)

  Sets the bubble size value with the refer value format.

  Parameters:
    `valueRef2` - bubbles values of the series

### getValueRef2

    public java.lang.String getValueRef2()

  Gets the bubbles values of the series.

  Returns:
    refer value

### setValues2

    public void setValues2(double[] values2)

  Sets the bubble size value.

  Parameters:
    `values2` - bubbles values of the series

### getValues2

    public double[] getValues2()

  Gets the bubbles values of the series.

  Returns:
    bubble values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD